#include "Math.hh"

namespace Core
{
    Vector2::Vector2() : x(0), y(0)
    {
    }

    Vector2::Vector2(float x, float y) : x(x), y(y)
    {
    }

    Vector2 Vector2::operator+(Vector2 const &other)
    {
        return Vector2(this->x+other.x, this->y+other.y);
    }

    Vector2 Vector2::operator-(Vector2 const &other)
    {
        return Vector2(this->x-other.x, this->y-other.y);
    }

    Vector2 Vector2::operator*(Vector2 const &other)
    {
        return Vector2(this->x*other.x, this->y*other.y);
    }

    Vector2 Vector2::operator/(Vector2 const &other)
    {
        return Vector2(this->x/other.x, this->y/other.y);
    }

} // namespace Core